import request from '@/utils/request';

// 查询物料签收明细列表1
export function listSignuser(query) {
  return request({
    url: '/guide/signuser/list',
    method: 'get',
    params: query,
  });
}
// 查询物料签收明细详细
export function getSignuser(id) {
  return request({
    url: '/guide/signuser/' + id,
    method: 'get',
  });
}

// 新增物料签收明细
export function addSignuser(data) {
  return request({
    url: '/guide/signuser',
    method: 'post',
    data: data,
  });
}

// 修改物料签收明细
export function updateSignuser(data) {
  return request({
    url: '/guide/signuser',
    method: 'put',
    data: data,
  });
}

// 删除物料签收明细
export function delSignuser(id) {
  return request({
    url: '/guide/signuser/' + id,
    method: 'delete',
  });
}

// 导出物料签收明细
export function exportSignuser(query) {
  return request({
    url: '/guide/signuser/export',
    method: 'get',
    params: query,
  });
}
export function importTemplate() {
  return request({
    url: '/guide/taskuser/importTrackTemplate',
    method: 'get',
  });
}
export function signUserDetails(query) {
  return request({
    url: '/sfa/signUserDetails/list',
    method: 'get',
    params: query,
  });
}
